package domain

type AlibabaHmMarketingItempoolStairQueryitemMarketPageResult struct {
	/*
	   总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   查询结果信息     */
	Message *string `json:"message,omitempty" `

	/*
	   当前页数     */
	Current *int64 `json:"current,omitempty" `

	/*
	   查询结果数据     */
	SkuList *[]AlibabaHmMarketingItempoolStairQueryitemItemPoolSku `json:"sku_list,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   页数size     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `
}

func (s *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult) SetTotal(v int64) *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult) SetMessage(v string) *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult) SetCurrent(v int64) *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult) SetSkuList(v []AlibabaHmMarketingItempoolStairQueryitemItemPoolSku) *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult {
	s.SkuList = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult) SetPageSize(v int64) *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult {
	s.Success = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult) SetTotalPage(v int64) *AlibabaHmMarketingItempoolStairQueryitemMarketPageResult {
	s.TotalPage = &v
	return s
}
